Macros | Variables
WP1FileStructure.h File Reference

Go to the source code of this file.

## Macros
#define | WP1_ATTRIBUTE_BOLD 0
#define | WP1_ATTRIBUTE_ITALICS 1
#define | WP1_ATTRIBUTE_UNDERLINE 2
#define | WP1_ATTRIBUTE_OUTLINE 3
#define | WP1_ATTRIBUTE_SHADOW 4
#define | WP1_ATTRIBUTE_SUPERSCRIPT 5
#define | WP1_ATTRIBUTE_SUBSCRIPT 6
#define | WP1_ATTRIBUTE_REDLINE 7
#define | WP1_ATTRIBUTE_STRIKE_OUT 8
#define | WP1_MARGIN_RESET_GROUP 0xC0
#define | WP1_SPACING_RESET_GROUP 0xC1
#define | WP1_MARGIN_RELEASE_GROUP 0xC2
#define | WP1_CENTER_TEXT_GROUP 0xC3
#define | WP1_FLUSH_RIGHT_GROUP 0xC4
#define | WP1_SET_TABS_GROUP 0xC9
#define | WP1_FONT_ID_GROUP 0xCB
#define | WP1_LEFT_INDENT_GROUP 0xCC
#define | WP1_TOP_MARGIN_SET_GROUP 0xCE
#define | WP1_SUPPRESS_PAGE_CHARACTERISTICS_GROUP 0xCF
#define | WP1_BOTTOM_MARGIN_SET_GROUP 0xD0
#define | WP1_HEADER_FOOTER_GROUP 0xD1
#define | WP1_LEFT_RIGHT_INDENT_GROUP 0xE0
#define | WP1_EXTENDED_CHARACTER_GROUP 0xE1
#define | WP1_FOOTNOTE_ENDNOTE_GROUP 0xE2
#define | WP1_PICTURE_GROUP 0xF5
#define | WP1_POINT_SIZE_GROUP 0xF4
#define | WP1_JUSTIFICATION_GROUP 0xFB
#define | WP1_HEADER_FOOTER_GROUP_ALL_BIT 1
#define | WP1_HEADER_FOOTER_GROUP_ODD_BIT 2
#define | WP1_HEADER_FOOTER_GROUP_EVEN_BIT 4

## Variables
int | WP1_FUNCTION_GROUP_SIZE [63]

## Macro Definition Documentation

## ◆ WP1_ATTRIBUTE_BOLD

#define WP1_ATTRIBUTE_BOLD 0

## ◆ WP1_ATTRIBUTE_ITALICS

#define WP1_ATTRIBUTE_ITALICS 1

## ◆ WP1_ATTRIBUTE_OUTLINE

#define WP1_ATTRIBUTE_OUTLINE 3

## ◆ WP1_ATTRIBUTE_REDLINE

#define WP1_ATTRIBUTE_REDLINE 7

## ◆ WP1_ATTRIBUTE_SHADOW

#define WP1_ATTRIBUTE_SHADOW 4

## ◆ WP1_ATTRIBUTE_STRIKE_OUT

#define WP1_ATTRIBUTE_STRIKE_OUT 8

## ◆ WP1_ATTRIBUTE_SUBSCRIPT

#define WP1_ATTRIBUTE_SUBSCRIPT 6

## ◆ WP1_ATTRIBUTE_SUPERSCRIPT

#define WP1_ATTRIBUTE_SUPERSCRIPT 5

## ◆ WP1_ATTRIBUTE_UNDERLINE

#define WP1_ATTRIBUTE_UNDERLINE 2

## ◆ WP1_BOTTOM_MARGIN_SET_GROUP

#define WP1_BOTTOM_MARGIN_SET_GROUP 0xD0

## ◆ WP1_CENTER_TEXT_GROUP

#define WP1_CENTER_TEXT_GROUP 0xC3

## ◆ WP1_EXTENDED_CHARACTER_GROUP

#define WP1_EXTENDED_CHARACTER_GROUP 0xE1

## ◆ WP1_FLUSH_RIGHT_GROUP

#define WP1_FLUSH_RIGHT_GROUP 0xC4

## ◆ WP1_FONT_ID_GROUP

#define WP1_FONT_ID_GROUP 0xCB

## ◆ WP1_FOOTNOTE_ENDNOTE_GROUP

#define WP1_FOOTNOTE_ENDNOTE_GROUP 0xE2

## ◆ WP1_HEADER_FOOTER_GROUP

#define WP1_HEADER_FOOTER_GROUP 0xD1

## ◆ WP1_HEADER_FOOTER_GROUP_ALL_BIT

#define WP1_HEADER_FOOTER_GROUP_ALL_BIT 1

## ◆ WP1_HEADER_FOOTER_GROUP_EVEN_BIT

#define WP1_HEADER_FOOTER_GROUP_EVEN_BIT 4

## ◆ WP1_HEADER_FOOTER_GROUP_ODD_BIT

#define WP1_HEADER_FOOTER_GROUP_ODD_BIT 2

## ◆ WP1_JUSTIFICATION_GROUP

#define WP1_JUSTIFICATION_GROUP 0xFB

## ◆ WP1_LEFT_INDENT_GROUP

#define WP1_LEFT_INDENT_GROUP 0xCC

## ◆ WP1_LEFT_RIGHT_INDENT_GROUP

#define WP1_LEFT_RIGHT_INDENT_GROUP 0xE0

## ◆ WP1_MARGIN_RELEASE_GROUP

#define WP1_MARGIN_RELEASE_GROUP 0xC2

## ◆ WP1_MARGIN_RESET_GROUP

#define WP1_MARGIN_RESET_GROUP 0xC0

## ◆ WP1_PICTURE_GROUP

#define WP1_PICTURE_GROUP 0xF5

## ◆ WP1_POINT_SIZE_GROUP

#define WP1_POINT_SIZE_GROUP 0xF4

## ◆ WP1_SET_TABS_GROUP

#define WP1_SET_TABS_GROUP 0xC9

## ◆ WP1_SPACING_RESET_GROUP

#define WP1_SPACING_RESET_GROUP 0xC1

## ◆ WP1_SUPPRESS_PAGE_CHARACTERISTICS_GROUP

#define WP1_SUPPRESS_PAGE_CHARACTERISTICS_GROUP 0xCF

## ◆ WP1_TOP_MARGIN_SET_GROUP

#define WP1_TOP_MARGIN_SET_GROUP 0xCE

## Variable Documentation

## ◆ WP1_FUNCTION_GROUP_SIZE

int WP1_FUNCTION_GROUP_SIZE[63]
| extern

Referenced by WP1FixedLengthGroup::_read(), WP1Part::constructPart(), and WP1Heuristics::isWP1FileFormat().